Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.charts
Class FillChartSettings

    java.lang.Object
      net.sf.jasperreports.components.charts.FillChartSettings

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ChartSettings, JRAnchor, JRCloneable, JRHyperlink

    public class FillChartSettings

extends java.lang.Object
implements ChartSettings

Version:
  $Id: FillChartSettings.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  sanda zaharia (shertage@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected ChartSettings` | `parent`

Fields inherited from interface net.sf.jasperreports.engine.JRAnchor
`NO_BOOKMARK`

Fields inherited from interface net.sf.jasperreports.engine.JRHyperlink
`HYPERLINK_TARGET_BLANK, HYPERLINK_TARGET_CUSTOM, HYPERLINK_TARGET_PARENT, HYPERLINK_TARGET_SELF, HYPERLINK_TARGET_TOP, HYPERLINK_TYPE_CUSTOM, HYPERLINK_TYPE_LOCAL_ANCHOR, HYPERLINK_TYPE_LOCAL_PAGE, HYPERLINK_TYPE_NONE, HYPERLINK_TYPE_NULL, HYPERLINK_TYPE_REFERENCE, HYPERLINK_TYPE_REMOTE_ANCHOR, HYPERLINK_TYPE_REMOTE_PAGE`

Constructor Summary
`FillChartSettings(ChartSettings chartSettings, JRFillObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`void` | `collectExpressions(JRExpressionCollector collector)`
`JRExpression` | `getAnchorNameExpression()` Returns an expression whose value represents the anchor name.
`java.awt.Color` | `getBackcolor()`
`int` | `getBookmarkLevel()` Returns the level of the bookmark corresponding to the anchor.
`byte` | `getChartType()`
`java.lang.String` | `getCustomizerClass()` Gets a user specified chart customizer class name.
`JRExpression` | `getHyperlinkAnchorExpression()` Returns the expression whose value represents the anchor.
`JRExpression` | `getHyperlinkPageExpression()` Returns an integer representing the page index of the link.
`JRHyperlinkParameter[]` | `getHyperlinkParameters()` Returns the list of hyperlink parameters.
`JRExpression` | `getHyperlinkReferenceExpression()` Returns the expression whose value represents the hyperlink reference.
`byte` | `getHyperlinkTarget()` Retrieves the hyperlink target for the element.
`JRExpression` | `getHyperlinkTooltipExpression()` Returns the expression which will generate the hyperlink tooltip.
`byte` | `getHyperlinkType()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
`HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
`java.awt.Color` | `getLegendBackgroundColor()`
`java.awt.Color` | `getLegendColor()`
`JRFont` | `getLegendFont()`
`EdgeEnum` | `getLegendPosition()`
`java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
`java.lang.String` | `getLinkType()` Returns the hyperlink type.
`java.lang.String` | `getRenderType()`
`java.lang.Boolean` | `getShowLegend()`
`java.awt.Color` | `getSubtitleColor()`
`JRExpression` | `getSubtitleExpression()`
`JRFont` | `getSubtitleFont()`
`java.awt.Color` | `getTitleColor()`
`JRExpression` | `getTitleExpression()`
`JRFont` | `getTitleFont()`
`EdgeEnum` | `getTitlePosition()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected ChartSettings parent

Constructor Detail

### FillChartSettings

    public FillChartSettings(ChartSettings chartSettings,
                             JRFillObjectFactory factory)

Method Detail

### getAnchorNameExpression

    public JRExpression getAnchorNameExpression()

  Description copied from interface: `JRAnchor`
  Returns an expression whose value represents the anchor name.

  Specified by:
    `getAnchorNameExpression` in interface `JRAnchor`
  See Also:
    `JRAnchor.getAnchorNameExpression()`

### getBookmarkLevel

    public int getBookmarkLevel()

  Description copied from interface: `JRAnchor`
  Returns the level of the bookmark corresponding to the anchor.

  Specified by:
    `getBookmarkLevel` in interface `JRAnchor`
  Returns:
    the level of the bookmark corresponding to the anchor (starting from 1) or `NO_BOOKMARK` if no bookmark should be created for this anchor
  See Also:
    `JRAnchor.getBookmarkLevel()`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`
  See Also:
    `Object.clone()`

### getChartType

    public byte getChartType()

  Specified by:
    `getChartType` in interface `ChartSettings`
  See Also:
    `ChartSettings.getChartType()`

### getLegendBackgroundColor

    public java.awt.Color getLegendBackgroundColor()

  Specified by:
    `getLegendBackgroundColor` in interface `ChartSettings`
  See Also:
    `ChartSettings.getLegendBackgroundColor()`

### getLegendColor

    public java.awt.Color getLegendColor()

  Specified by:
    `getLegendColor` in interface `ChartSettings`
  See Also:
    `ChartSettings.getLegendColor()`

### getLegendFont

    public JRFont getLegendFont()

  Specified by:
    `getLegendFont` in interface `ChartSettings`
  See Also:
    `ChartSettings.getLegendFont()`

### getLegendPosition

    public EdgeEnum getLegendPosition()

  Specified by:
    `getLegendPosition` in interface `ChartSettings`
  See Also:
    `ChartSettings.getLegendPosition()`

### getRenderType

    public java.lang.String getRenderType()

  Specified by:
    `getRenderType` in interface `ChartSettings`
  See Also:
    `ChartSettings.getRenderType()`

### getShowLegend

    public java.lang.Boolean getShowLegend()

  Specified by:
    `getShowLegend` in interface `ChartSettings`
  See Also:
    `ChartSettings.getShowLegend()`

### getSubtitleColor

    public java.awt.Color getSubtitleColor()

  Specified by:
    `getSubtitleColor` in interface `ChartSettings`
  See Also:
    `ChartSettings.getSubtitleColor()`

### getSubtitleExpression

    public JRExpression getSubtitleExpression()

  Specified by:
    `getSubtitleExpression` in interface `ChartSettings`
  See Also:
    `ChartSettings.getSubtitleExpression()`

### getSubtitleFont

    public JRFont getSubtitleFont()

  Specified by:
    `getSubtitleFont` in interface `ChartSettings`
  See Also:
    `ChartSettings.getSubtitleFont()`

### getTitleColor

    public java.awt.Color getTitleColor()

  Specified by:
    `getTitleColor` in interface `ChartSettings`
  See Also:
    `ChartSettings.getTitleColor()`

### getTitleExpression

    public JRExpression getTitleExpression()

  Specified by:
    `getTitleExpression` in interface `ChartSettings`
  See Also:
    `ChartSettings.getTitleExpression()`

### getTitleFont

    public JRFont getTitleFont()

  Specified by:
    `getTitleFont` in interface `ChartSettings`
  See Also:
    `ChartSettings.getTitleFont()`

### getTitlePosition

    public EdgeEnum getTitlePosition()

  Specified by:
    `getTitlePosition` in interface `ChartSettings`
  See Also:
    `ChartSettings.getTitlePosition()`

### getHyperlinkAnchorExpression

    public JRExpression getHyperlinkAnchorExpression()

  Description copied from interface: `JRHyperlink`
  Returns the expression whose value represents the anchor. It is only used when the hyperlink type is anchor.

  Specified by:
    `getHyperlinkAnchorExpression` in interface `JRHyperlink`
  See Also:
    `JRHyperlink.getHyperlinkAnchorExpression()`

### getHyperlinkPageExpression

    public JRExpression getHyperlinkPageExpression()

  Description copied from interface: `JRHyperlink`
  Returns an integer representing the page index of the link. It is only used when the hyperlink type is page. If the expression does not evaluate to an integer, an exception will be thrown.

  Specified by:
    `getHyperlinkPageExpression` in interface `JRHyperlink`
  See Also:
    `JRHyperlink.getHyperlinkPageExpression()`

### getHyperlinkParameters

    public JRHyperlinkParameter[] getHyperlinkParameters()

  Description copied from interface: `JRHyperlink`
  Returns the list of hyperlink parameters.

  The parameters can be used by custom hyperlink types to generate dynamic links.

  Specified by:
    `getHyperlinkParameters` in interface `JRHyperlink`
  Returns:
    the list of hyperlink parameters
  See Also:
    `JRHyperlink.getHyperlinkParameters()`

### getHyperlinkReferenceExpression

    public JRExpression getHyperlinkReferenceExpression()

  Description copied from interface: `JRHyperlink`
  Returns the expression whose value represents the hyperlink reference. It is only used when the hyperlink type is reference or anchor

  Specified by:
    `getHyperlinkReferenceExpression` in interface `JRHyperlink`
  See Also:
    `JRHyperlink.getHyperlinkReferenceExpression()`

### getHyperlinkTarget

    public byte getHyperlinkTarget()

  Description copied from interface: `JRHyperlink`
  Retrieves the hyperlink target for the element.

  The actual hyperlink target is determined by `getLinkTarget()`. This method can is used to determine whether the hyperlink target is one of the built-in target names or a custom one. When hyperlink has a custom target name, `HYPERLINK_TYPE_CUSTOM` is returned.

  Specified by:
    `getHyperlinkTarget` in interface `JRHyperlink`
  Returns:
    one of the hyperlink target constants
  See Also:
    `JRHyperlink.getHyperlinkTarget()`

### getHyperlinkTooltipExpression

    public JRExpression getHyperlinkTooltipExpression()

  Description copied from interface: `JRHyperlink`
  Returns the expression which will generate the hyperlink tooltip.

  Specified by:
    `getHyperlinkTooltipExpression` in interface `JRHyperlink`
  Returns:
    the expression which will generate the hyperlink tooltip
  See Also:
    `JRHyperlink.getHyperlinkTooltipExpression()`

### getHyperlinkType

    public byte getHyperlinkType()

  Deprecated. Replaced by `getHyperlinkTypeValue()`.

  Specified by:
    `getHyperlinkType` in interface `JRHyperlink`

### getHyperlinkTypeValue

    public HyperlinkTypeEnum getHyperlinkTypeValue()

  Description copied from interface: `JRHyperlink`
  Retrieves the hyperlink type for the element.

  The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. When hyperlink is of custom type, `CUSTOM` is returned.

  Specified by:
    `getHyperlinkTypeValue` in interface `JRHyperlink`
  Returns:
    one of the hyperlink type constants
  See Also:
    `JRHyperlink.getHyperlinkTypeValue()`

### getLinkTarget

    public java.lang.String getLinkTarget()

  Description copied from interface: `JRHyperlink`
  Returns the hyperlink target name.

  The type can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

  Specified by:
    `getLinkTarget` in interface `JRHyperlink`
  Returns:
    the hyperlink target name
  See Also:
    `JRHyperlink.getLinkTarget()`

### getLinkType

    public java.lang.String getLinkType()

  Description copied from interface: `JRHyperlink`
  Returns the hyperlink type.

  The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

  Specified by:
    `getLinkType` in interface `JRHyperlink`
  Returns:
    the hyperlink type
  See Also:
    `JRHyperlink.getLinkType()`

### getBackcolor

    public java.awt.Color getBackcolor()

  Specified by:
    `getBackcolor` in interface `ChartSettings`
  See Also:
    `ChartSettings.getLegendColor()`

### getCustomizerClass

    public java.lang.String getCustomizerClass()

  Description copied from interface: `ChartSettings`
  Gets a user specified chart customizer class name.

  Specified by:
    `getCustomizerClass` in interface `ChartSettings`
  See Also:
    `ChartCustomizer`

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com